Page MenuHomePhabricator

Test RDF exports in beta cluster
Closed, ResolvedPublic

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 10 2017, 4:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 383376 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] labs: Add $wgWBRepoSettings['canonicalUriProperty']

https://gerrit.wikimedia.org/r/383376

Lucas_Werkmeister_WMDE renamed this task from Test RDF experts in beta cluster to Test RDF exports in beta cluster.Oct 10 2017, 4:40 PM

Change 383376 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Add $wgWBRepoSettings['canonicalUriProperty']

https://gerrit.wikimedia.org/r/383376

Mentioned in SAL (#wikimedia-releng) [2017-10-13T16:34:08Z] <Amir1> ladsgroup@deployment-tin:~$ mwscript extensions/Wikibase/repo/maintenance/rebuildPropertyInfo.php --wiki=wikidatawiki (T177857)

https://wikidata.beta.wmflabs.org/wiki/Special:EntityData/Q380445.ttl:

wd:Q380445 a wikibase:Item ;
	rdfs:label "WKQbcQBh"@en ;
	skos:prefLabel "WKQbcQBh"@en ;
	schema:name "WKQbcQBh"@en ;
	schema:description "vanpahJQNYJQphaMHCDb"@en ;
	skos:altLabel "norm   a lize   me"@en ;
	wdt:P175360 "Q2334" ;
	wdtn:P175360 <https://www.wikidata.org/entity/Q2334> ;
	p:P175360 wds:Q380445-26f50e69-46bb-c174-141f-3d8832101864 .

Also:

wikiadmin@deployment-db04[wikidatawiki]> select * from wb_property_info where pi_property_id = 175360;
+----------------+-------------+--------------------------------------------------------------------------------+
| pi_property_id | pi_type     | pi_info                                                                        |
+----------------+-------------+--------------------------------------------------------------------------------+
|         175360 | external-id | {"type":"external-id","canonicalURI":"https:\/\/www.wikidata.org\/entity\/$1"} |
+----------------+-------------+--------------------------------------------------------------------------------+
1 row in set (0.00 sec)

And also:

wds:Q380445-26f50e69-46bb-c174-141f-3d8832101864 a wikibase:Statement,
                wikibase:BestRank ;
        wikibase:rank wikibase:NormalRank ;
        ps:P175360 "Q2334" ;
        psn:P175360 <https://www.wikidata.org/entity/Q2334> ;
        pq:P175360 "Q2345" ;
        pqn:P175360 <https://www.wikidata.org/entity/Q2345> ;
        prov:wasDerivedFrom wdref:a45a91664b6b7d9fce691181177229089ef1e746 .

wdref:a45a91664b6b7d9fce691181177229089ef1e746 a wikibase:Reference ;
        pr:P175360 "Q2356" ;
        prn:P175360 <https://www.wikidata.org/entity/Q2356> .

\o/

Looks OK to me.

WMDE-leszek closed this task as Resolved.Oct 17 2017, 9:17 AM